Bug 856502 - SSSD chapter lists a non-existing option domain_type
SSSD chapter lists a non-existing option domain_type
Status: CLOSED CANTFIX
Product: Fedora Documentation
Classification: Fedora
Component: system-administrator's-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Wadeley
Christopher Antila
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 03:27 EDT by Jakub Hrozek
Modified: 2016-04-12 17:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 17:22:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2012-09-12 03:27:28 EDT
Description of problem:
Section "9.2.9. SSSD Configuration File Format" of the system administrator's guide lists the "domain_type = local" option that doesn't exist for the SSSD

Version-Release number of selected component (if applicable):
not sure, the title page says "Edition 1"

How reproducible:


Steps to Reproduce:
1. open http://docs.fedoraproject.org/en-US/Fedora/17/html/System_Administrators_Guide/sect-SSSD_User_Guide-SSSD_Example_Configuration_Files-SSSD_Configuration_File_Format.html
  
Actual results:
the domains examples say "domain_type = local" and "domain_type = ldap"

Expected results:
they should be saying "id_provider" instead.

Actually there are multiple other options that are wrong. I wonder where they came from. For example:

--------
[nss]
nss_filter_groups = root
nss_filter_users = root
nss_entry_cache_timeout = 30
nss_enum_cache_timeout = 30
--------
None of these exist. The do exist without the nss_ prefix.

Similar for:
--------------------
local_default_shell = /bin/bash
local_default_homedir = /home
--------------------

Also there's no authz_provider.

Feel free to ask for documentation review on the sssd-devel mailing list in the future.


Additional info:
This bug was reported by Thomas Hood in the Ubuntu bug tracker.
Comment 1 Jaromir Hradilek 2013-07-09 08:19:14 EDT
Thank you very much for taking the time to report this issue, Jakub.
Comment 2 Stephen Wadeley 2016-04-12 17:22:16 EDT
Hello

I am sorry but this chapter does not exist in current the Fedora Sys Admin Guide.
It is now too late to fix.

Thank you

Note You need to log in before you can comment on or make changes to this bug.